Main Page | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# dkcString.c File Reference

`#include "dkcString.h"`
`#include "dkcStdio.h"`
`#include "dkcOSIndependent.h"`
`#include <limits.h>`

Include dependency graph for dkcString.c:

## Functions
BOOL | dkcIsSJIS1 (BYTE c)
| cがSJISの１バイト目の時TRUE(1)
BOOL | dkcIsSJIS2 (BYTE c)
| cがSJISの２バイト目の時TRUE(1)
int WINAPI | dkcSJIS_StrChrSearch (const char *s, char c)
| SJIS文字を除外して文字を検索 最初に見つかった位置を返す -1なら見つからない.
int WINAPI | dkcSJIS_StrChrSearchLast (const char *s, char c)
| SJIS文字を除外して文字を検索 最後に見つかった位置を返す -1なら見つからない.
int WINAPI | dkcSJIS_StrChrSearchTail (const char *s, size_t len, char c)
int WINAPI | dkcSJIS_StrChrSearchInStr (const char *s, const char *c)
int WINAPI | dkcSJIS_StrChrSearchInStrLast (const char *s, const char *c)
| It has not tested.
int WINAPI | dkcSJIS_SearchPathSep (const char *s)
| パスセパレータが最初に見つかった位置を返す。 -1は見つからない
int WINAPI | dkcSJIS_SearchPathSepLast (const char *s)
| パスセパレータが最期に見つかった位置を返す。 -1は見つからない
int WINAPI | dkcStrStr (const char *dest, const char *src)
int WINAPI | dkcBMStrStr (const char *dest, const char *src)
DKC_STRING *WINAPI | dkcAllocString (size_t size)
int WINAPI | dkcFreeString (DKC_STRING **ptr)
int WINAPI | dkcStringCopy (DKC_STRING *ptr, const char *str, size_t size)
int WINAPI | dkcStringConcatenate (DKC_STRING *ptr, const char *str, size_t size)
| http://www.google.com/search?num=50&hl=ja&lr=lang_ja&q=strcat+cat%82%c6%82%cd
int WINAPI | dkcStringInsert (DKC_STRING *ptr, size_t point, const char *str, size_t size)
int WINAPI | dkcStringErase (DKC_STRING *ptr, size_t point, size_t len)
int WINAPI | dkcStringReplace (DKC_STRING *ptr, size_t begin_, size_t end_, const char *str, size_t size)
size_t | dkcStringSize (const DKC_STRING *ptr)
size_t | dkcStringNum (const DKC_STRING *ptr)
| 文字列の文字数を返す。内部streamをstrlenにかけたものを保存しておいたものを取得。
const char *WINAPI | dkcStringPointer (const DKC_STRING *ptr)
int WINAPI | dkcStringGetBuffer (const DKC_STRING *ptr, char *buffer, size_t buffsize)
| DKC_STRINGの内部文字列をバッファにぶち込む.

## Function Documentation

DKC_STRING* WINAPI dkcAllocString | ( | size_t | size | ) |

int WINAPI dkcBMStrStr | ( | const char * | dest,
|  | const char * | src
| ) |

| strstrをBM法でやってみたもの Returns: 最初に見つかった位置を返す -1なら見つからない / Note: It has not tested.

int WINAPI dkcFreeString | ( | DKC_STRING ** | ptr | ) |

BOOL dkcIsSJIS1 | ( | BYTE | c | ) |

| cがSJISの１バイト目の時TRUE(1)

BOOL dkcIsSJIS2 | ( | BYTE | c | ) |

| cがSJISの２バイト目の時TRUE(1)

int WINAPI dkcSJIS_SearchPathSep | ( | const char * | s | ) |

| パスセパレータが最初に見つかった位置を返す。 -1は見つからない

int WINAPI dkcSJIS_SearchPathSepLast | ( | const char * | s | ) |

| パスセパレータが最期に見つかった位置を返す。 -1は見つからない

int WINAPI dkcSJIS_StrChrSearch | ( | const char * | s,
|  | char | c
| ) |

| SJIS文字を除外して文字を検索 最初に見つかった位置を返す -1なら見つからない.

int WINAPI dkcSJIS_StrChrSearchInStr | ( | const char * | s,
|  | const char * | c
| ) |

| 複数の文字定数を検索指定できるdkcSJIS_StrChrSearch() / Note: It has not tested.

int WINAPI dkcSJIS_StrChrSearchInStrLast | ( | const char * | s,
|  | const char * | c
| ) |

| It has not tested.

int WINAPI dkcSJIS_StrChrSearchLast | ( | const char * | s,
|  | char | c
| ) |

| SJIS文字を除外して文字を検索 最後に見つかった位置を返す -1なら見つからない.

int WINAPI dkcSJIS_StrChrSearchTail | ( | const char * | s,
|  | size_t | len,
|  | char | c
| ) |

| SJIS文字を除外して文字を後ろから検索 Returns: 後ろから検索して最初に見つかった位置を返す -1なら見つからない Note: It has not tested.

int WINAPI dkcStringConcatenate | ( | DKC_STRING * | ptr,
|  | const char * | str,
|  | size_t | size
| ) |

| http://www.google.com/search?num=50&hl=ja&lr=lang_ja&q=strcat+cat%82%c6%82%cd

int WINAPI dkcStringCopy | ( | DKC_STRING * | ptr,
|  | const char * | str,
|  | size_t | size
| ) |

int WINAPI dkcStringErase | ( | DKC_STRING * | ptr,
|  | size_t | point,
|  | size_t | len
| ) |

  | Parameters:
  ptr[in][out] | dkcAllocString()で確保したポインタ
  point[in] | 何文字目以降を削除するのか
  len[in] | pointから何文字Eraseするか。
Returns: edk_SUCCEEDEDなら完全成功。 edk_Not_Satisfactoryならlenが大きすぎる等の理由から一応処理は出来たが要求した結果にはならなかった。 その他はエラー Todo: test

int WINAPI dkcStringGetBuffer | ( | const DKC_STRING * | ptr,
|  | char * | buffer,
|  | size_t | buffsize
| ) |

| DKC_STRINGの内部文字列をバッファにぶち込む.

int WINAPI dkcStringInsert | ( | DKC_STRING * | ptr,
|  | size_t | point,
|  | const char * | str,
|  | size_t | size
| ) |

  | Parameters:
  ptr[in][out] | dkcAllocString()で確保したポインタ
  point[in] | 何文字目以降に挿入するのか
  str[in] | 挿入したい文字列
  size[in] | strの文字数。
Todo: テストをする。この関数の実装は醜いので直す。

size_t dkcStringNum | ( | const DKC_STRING * | ptr | ) |

| 文字列の文字数を返す。内部streamをstrlenにかけたものを保存しておいたものを取得。

const char* WINAPI dkcStringPointer | ( | const DKC_STRING * | ptr | ) |

int WINAPI dkcStringReplace | ( | DKC_STRING * | ptr,
|  | size_t | begin_,
|  | size_t | end_,
|  | const char * | str,
|  | size_t | size
| ) |

  | Parameters:
  ptr[in][out] | dkcAllocString()で確保したポインタ
  begin_[in] | 何処から(何文字目から
  end_[in] | 何処まで(何文字目まで)注意：begin_からn byteまで　とかではない。
  str[in] | 置換したい文字列
  size[in] | strの文字数。
Todo: テストをする。この関数の実装は醜いので直す。

size_t dkcStringSize | ( | const DKC_STRING * | ptr | ) |

int WINAPI dkcStrStr | ( | const char * | dest,
|  | const char * | src
| ) |

| strstrのWrapper Returns: 最初に見つかった位置を返す -1なら見つからない